package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 充值卡实体类
 *
 * @author 86187
 */
@Data
@ApiModel(value = "CardInfo")
@TableName("card")
public class CardInfo implements Serializable {
    private static final long serialVersionUID = 2732927512736158423L;
    /**
     * 子卡id
     */
    @ApiModelProperty(value = "子卡id", name = "id")
    private Integer id;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", name = "batchNumber")
    private String batchNumber;

    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", name = "batchNumber")
    private String cardNumber;

    /**
     * 次数
     */
    @ApiModelProperty(value = "次数", name = "limit")
    private Integer limit;

    /**
     * 秘钥
     */
    @ApiModelProperty(value = "秘钥", name = "secretKey")
    private String secretKey;

    /**
     * 卡的金额
     */
    @ApiModelProperty(value = "卡的金额", name = "money")
    private Integer money;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态 0：未使用 1：已使用", name = "status")
    private Integer status;

    /**
     * 是否删除
     */
    @ApiModelProperty(name = "isDelete", value = "是否删除 0：正常 1：删除")
    private Integer isDelete;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "creteTime")
    private Date createTime;
    /**
     * 更改时间
     */
    @ApiModelProperty(value = "更改时间", name = "updateTime")
    private Date updateTime;
}
